Loading...
Searching...
No Matches
sdbus::Properties_adaptor Class Reference

## Public Member Functions

void | emitPropertiesChangedSignal (const InterfaceName &interfaceName, const std::vector< PropertyName > &properties)
void | emitPropertiesChangedSignal (const char *interfaceName, const std::vector< PropertyName > &properties)
void | emitPropertiesChangedSignal (const InterfaceName &interfaceName)
void | emitPropertiesChangedSignal (const char *interfaceName)

## Protected Member Functions

| Properties_adaptor (sdbus::IObject &object)
| Properties_adaptor (const Properties_adaptor &)=delete
Properties_adaptor & | operator= (const Properties_adaptor &)=delete
| Properties_adaptor (Properties_adaptor &&)=delete
Properties_adaptor & | operator= (Properties_adaptor &&)=delete
void | registerAdaptor ()

The documentation for this class was generated from the following file:

- include/sdbus-c++/StandardInterfaces.h